## org.apache.commons.math3.geometry.partitioning
Class AbstractRegion.Sides

    java.lang.Object
      org.apache.commons.math3.geometry.partitioning.AbstractRegion.Sides

Enclosing class:
  AbstractRegion<S extends Space,T extends Space>

    private static final class AbstractRegion.Sides

extends java.lang.Object

Utility class holding the already found sides.

Field Summary
`private boolean` `minusFound` Indicator of inside leaf nodes found on the plus side.
`private boolean` `plusFound` Indicator of inside leaf nodes found on the plus side.

Constructor Summary
`AbstractRegion.Sides()` Simple constructor.

Method Summary
`boolean` `minusFound()` Check if inside leaf nodes have been found on the minus side.
`boolean` `plusFound()` Check if inside leaf nodes have been found on the plus side.
`void` `rememberMinusFound()` Remember the fact that inside leaf nodes have been found on the minus side.
`void` `rememberPlusFound()` Remember the fact that inside leaf nodes have been found on the plus side.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### plusFound

    private boolean plusFound

  Indicator of inside leaf nodes found on the plus side.

### minusFound

    private boolean minusFound

  Indicator of inside leaf nodes found on the plus side.

Constructor Detail

### AbstractRegion.Sides

    public AbstractRegion.Sides()

  Simple constructor.

Method Detail

### rememberPlusFound

    public void rememberPlusFound()

  Remember the fact that inside leaf nodes have been found on the plus side.

### plusFound

    public boolean plusFound()

  Check if inside leaf nodes have been found on the plus side.

  Returns:
    true if inside leaf nodes have been found on the plus side

### rememberMinusFound

    public void rememberMinusFound()

  Remember the fact that inside leaf nodes have been found on the minus side.

### minusFound

    public boolean minusFound()

  Check if inside leaf nodes have been found on the minus side.

  Returns:
    true if inside leaf nodes have been found on the minus side

Copyright (c) 2003-2013 Apache Software Foundation